.pt-o-game-true-false-type4{
    border-radius: 20px;
    background-color: white;
    position: relative;
    &__instruction{
        display: flex;
        justify-content: center;
        align-items: center;
        height: auto;
        padding: 2rem 4rem;
        text-align: center;

        span{
            line-height: 22px;
            font-size: 1.8rem;
            font-family: 'mont_sb';
            color:$dodgerBlue;
           
        }
        &.--countLine{
            span{
                text-overflow: ellipsis;
                overflow: hidden;
                min-height: 44px;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
            }
            
        }
    }

    &__container{
        padding: 0 4rem;
        overflow-y: auto;
        padding-bottom: 1.4rem;
        width: initial;
    }

    &__exam-answers{
        border: 1px solid #D4E9FF;
        border-radius: 20px;
        padding: 1.5rem;
        width: initial;

        .header_exam{
            padding: 5px 0;
            span{
                color:$dodgerBlue;
                font-family: 'mont_m';
                font-size: 1.8rem;
            }
        }

        .item_exam{
            display: flex;
            align-items: center;
            width: initial;
            height: 100%;
            line-height: 22px;
            justify-content: space-between;

            &__list{
                display: flex;
                align-items: center;
                justify-content: flex-start;
                padding-right: 3rem;
                min-height: 100%;
                flex: 1;
                width: 100%;
                .__image{
                    max-width: 90px;
                    min-width: 90px;
                    width: 90px;
                    padding-right: 1rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    cursor: zoom-in;
                    img{
                        height: auto;
                        max-width: 100%;
                        border-radius: 7px;
                        font-size: 1.75rem;
                    }
                }
                .__content_text{
                    max-width: 100%;
                    min-width: 0;
                    white-space: normal;
                    word-wrap: break-word;
                    flex: initial;
                    width: 100%;

                    span{
                        color: $gunPowder;
                        font-family: 'mont_m';
                        font-size: 1.75rem;
                        line-height: 22px;
                    }
                }

                .__result{
                    font-family: 'mont_sb';
                    font-size: 1.75rem;
                    flex: none;
                    padding-left: 10px;

                    &.True{
                        span{
                            color: $limeGreen;

                        }
                    }

                    &.False{
                        span{
                            color: $salmon;

                        }
                    }
                }
            }

            &.--flex-content{
                flex-direction: column;
                align-items: flex-start;
                & > div{
                    margin-bottom: 2rem;
                    padding-right: 0;

                    &:last-child{
                        margin-bottom: 0;
                    }

                    .__content_text{
                        flex: 1;
                    }
                }
            }
        }

    }
    &__play-answers{

        .header_play-answers{
            padding-top: 2rem;
            padding-left: 2rem;
            span{
                color: $dodgerBlue;
                font-family: 'mont_m';
                font-size: 1.8rem;
            }
        }

        .item__answers{
            padding: 15px;
            border-radius: 20px;
            border: 1px solid #D4E9FF;
            margin: 2rem 0;
            min-height: 12rem;
            width: initial;
            height: max-content;
            display: flex;
            align-items: center;
            &:last-child{
                margin-bottom: 0;
            }
            &__list{
                display: flex;
                align-items: center;
                width: 100%;

                .__image{
                    flex: none;
                    height: auto;
                    width: 120px;
                    padding: 5px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    cursor: zoom-in;

                    img{
                        height: auto;
                        max-width: 100%;
                        border-radius: 7px;
                        font-size: 1.8rem; 
                    }
                }

                .__content_text{
                    flex: initial;
                    max-width: 100%;
                    min-width: 0;
                    width: 100%;
                    white-space: normal;
                    word-wrap: break-word;
                    padding: 0 2rem;

                    &.--danger {
                        span{
                            color: $salmon;
                        }
                      }
      
                      &.--success {
                        span{
                            color: $limeGreen;
                        }
                      }
                    span{
                        font-family: 'mont_m';
                        font-size: 1.8rem;
                        line-height: 22px;
                        color: $gunPowder;
                    }
                }

                .__result{
                    flex: none;
                    width: 62px;

                    .rs-toggle{   
                        .rs-toggle-presentation{
                            width: 62px;
                            text-align: center;
                            background: $salmon;
                        }
                    }
                    .rs-toggle-checked {
                        .rs-toggle-presentation{
                            background: $kellyGreen;
                        }
                    }
                }
            }
        }
    }

    .pt-o-game-true-false-type4__container::-webkit-scrollbar {
        width: 7px;
        background-color: #fff;
      }
      .pt-o-game-true-false-type4__container::-webkit-scrollbar-track {
        background-color: #fff;
        border-radius: 10px;
        // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
      }
      .pt-o-game-true-false-type4__container::-webkit-scrollbar-thumb {
        background: #d4e9ff!important;
        border-radius: 10px;
      }
}

@include screen-1024-landscape {
    .pt-o-game-true-false-type4{
        &__instruction{
            padding: 10px 20px;
            span{
                font-size: 1.6rem;
            }
        }

        &__exam-answers{
            .header_exam{
                span{
                    font-size: 1.4rem;
                }
            }
            .item_exam{
                &__list{
                    &:last-child{
                        padding-right: 0;
                    }
                    .__content_text{
                        span{
                            font-size: 1.35rem;
                        }
                    }
                    .__result{
                        span{
                            font-size: 1.35rem;
                        }
                    }
                }
            }
        }

        &__play-answers{
            .header_play-answers{
                span{
                    font-size: 1.4rem;
                }
            }

            .item__answers{
                padding: 10px;
                margin-top: 10px;

                &__list{
                    
                    .__content_text{
                        span{
                            font-size: 1.4rem;
                        }
                    }
                }
            }
        }
    }
}

@include screen-960-landscape {
    .pt-o-game-true-false-type4{
        $font-size: 1.2rem;
        $line-height: 22px;
        &__instruction{
            span{
                font-size: 1.4rem;
                line-height: $line-height;
            }
        }
        &__container{
            padding: 0 2rem 2rem;
        }
        
        &__exam-answers{
            padding: 1rem;
            border-radius: 10px;
            .header_exam{
                span{
                font-size: 1.2rem;
                line-height: $line-height;
                }
            }
            .item_exam{
                &__list{
                    &:last-child{
                        padding-right: 0;
                    }
                    .__image{
                        height: auto;
                        min-width: 80px;
                        width: 80px;
                    }
                    .__content_text{
                        flex: 1;
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                    .__result{
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                }
            }
        }

        &__play-answers{
            .header_play-answers{
                padding-left: 10px;
                span{
                    font-size: $font-size;
                    line-height: $line-height;
                }
            }

            .item__answers{
                padding: 10px;
                margin-top: 2rem;
                border-radius: 10px;

                &__list{
                    .__image{
                        height: auto;
                        min-width: 90px;
                        width: 90px;
                    }
                    .__content_text{
                        span{
                            font-size: $font-size;
                            line-height: $line-height;
                        }
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 960px) and (max-aspect-ratio:3999/3000) {
    .pt-o-game-true-false-type4{
        $font-size: 1.2rem;
        $line-height: 22px;
        &__instruction{
            padding: 5px 10px;
            min-height: 50px;
            span{
                font-size: 1.4rem;
                line-height: $line-height;
            }
        }
        
        &__container{
            padding: 0 2rem;
        }

        &__exam-answers{
            padding: 5px;
            border-radius: 10px;
            .header_exam{
                span{
                    font-size: 1.2rem;
                    line-height: $line-height;
                }
            }
            .item_exam{
                width: 100%;
                flex-wrap: wrap;
                &__list{
                    width: 50%;
                    padding: 0;
                    flex: none;
                    margin-bottom: 10px;
                    padding-right: 20px;

                    .__image{
                        height: auto;
                        min-width: 80px;
                        width: 80px;
                    }

                    .__content_text{
                        flex:1;
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                    .__result{
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                }
                &.--flex-content{
                    width: 100%;
                    .item_exam__list{
                        width: 100%;
                    }
                }
            }
        }

        &__play-answers{
            .header_play-answers{
                padding-top: 10px;
                padding-left: 5px;
                span{
                    font-size: $font-size;
                    line-height: $line-height;
                }
            }

            .item__answers{
                padding: 5px;
                margin: 10px 0 0;
                border-radius: 10px;
                min-height: 10rem;

                &__list{
                    .__image{
                        height: auto;
                        width: 90px;
                        min-width: 90px;
                    }
                    .__content_text{
                        padding: 0;
                        flex: initial;
                        max-width: 100%;
                        min-width: 0;
                        white-space: normal;
                        word-wrap: break-word;
                        span{
                            font-size: $font-size;
                            line-height: $line-height;
                        }
                    }
                }
            }
        }
    }
}
@include screen-mobile-portrait {
    .pt-o-game-true-false-type4{
        $font-size: 1.2rem;
        $line-height: 22px;
        &__instruction{
            padding: 5px 10px;
            min-height: 50px;
            span{
                font-size: 1.4rem;
                line-height: $line-height;
            }
        }
        
        &__container{
            padding: 0 5px;
        }

        &__exam-answers{
            padding: 5px;
            border-radius: 10px;
            .header_exam{
                span{
                    font-size: 1.2rem;
                    line-height: $line-height;
                }
            }
            .item_exam{
                width: 100%;
                flex-wrap: wrap;
                &__list{
                    width: 100%;
                    padding: 0;
                    flex: none;
                    margin-bottom: 10px;

                    .__image{
                        height: auto;
                        min-width: 80px;
                        width: 80px;
                    }

                    .__content_text{
                        flex:1;
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                    .__result{
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                }
            }
        }

        &__play-answers{
            .header_play-answers{
                padding-top: 10px;
                padding-left: 5px;
                span{
                    font-size: $font-size;
                    line-height: $line-height;
                }
            }

            .item__answers{
                padding: 5px;
                margin: 10px 0 0;
                border-radius: 10px;
                min-height: 10rem;

                &__list{
                    .__image{
                        height: auto;
                        width: 90px;
                        min-width: 90px;
                    }
                    .__content_text{
                        padding: 0;
                        flex: initial;
                        max-width: 100%;
                        min-width: 0;
                        white-space: normal;
                        word-wrap: break-word;
                        span{
                            font-size: $font-size;
                            line-height: $line-height;
                        }
                    }
                }
            }
        }
    }
}

@include screen-768-landscape {
    .pt-o-game-true-false-type4{
        $font-size: 1.2rem;
        $line-height: 22px;
        &__container{
            padding: 0 10px 10px;
        }
        &__instruction{
            span{
                font-size: 1.4rem;
                line-height: $line-height;
            }
        }
        
        &__exam-answers{
            padding: 1rem;
            border-radius: 10px;
            .header_exam{
                padding: 0;
                span{
                    font-size: 1.2rem;
                    line-height: $line-height;
                }
            }
            .item_exam{
                flex: 1;
                flex-wrap: wrap;
                width: auto;
                flex-direction: column;
                align-items: flex-start;
                &__list{
                    padding-bottom: 1rem;
                    width: 100%;
                    padding-right: 0;
                    &:last-child{
                        padding-bottom: 0;
                    }
                    .__image{
                        height: auto;
                        width: 80px;
                        min-width: 80px;
                    }
                    .__content_text{
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                    .__result{
                        span{
                            font-size: 1.15rem;
                            line-height: $line-height;
                        }
                    }
                }
            }
        }

        &__play-answers{
            .header_play-answers{
                padding-left: 10px;
                span{
                    font-size: $font-size;
                    line-height: $line-height;
                }
            }

            .item__answers{
                margin: 10px 0;
                padding: 10px;
                margin-top: 1rem;
                border-radius: 10px;
                min-height: 10rem;
                &__list{
                    .__image{
                        height: auto;
                        width: 90px;
                        min-width: 90px;
                    }
                    .__content_text{
                       
                        span{
                            font-size: $font-size;
                            line-height: $line-height;
                        }
                    }
                }
            }
        }
    }
}